NNG_SLEEP_AIO(3)

NAME
nng_sleep_aio - sleep asynchronously

SYNOPSIS

    #include <nng/nng.h>

    void nng_sleep_aio(nng_duration msec, nng_aio *aio);

DESCRIPTION

The nng_sleep_aio() function provides an asynchronous delay mechanism, causing the callback for aio to be executed after msec milliseconds. If the sleep finishes completely, the result will always be zero.

    Note

    If a timeout is set on aio using nng_aio_set_timeout(), and it is shorter than msec, then the sleep will wake up early, with a result code of NNG_ETIMEDOUT.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_aio_abort(3), nng_aio_alloc(3), nng_aio_set_timeout(3), nng_strerror(3), nng_aio(5), nng_duration(5), nng(7)